package com.jay.monitor.data.server.models.request.alert;

import com.jay.monitor.data.server.enums.AlertMsgEnums;
import com.jay.monitor.data.server.models.request.trace.PageRequest;

import java.util.Date;
import java.util.Map;

/**
 * 告警类型配置 平台
 *
 * @author liukaixiong
 * @Email liukx@elab-plus.com
 * @date 2021/9/6 - 19:47
 */
public class AlertPlatformConfigRequest extends PageRequest {

    private String id;

    /**
     * 平台类型
     */
    private AlertMsgEnums platformType;

    /**
     * 告警名称
     */
    private String alertName;

    /**
     * 地址
     */
    private String url;

    /**
     * 拓展参数
     */
    private Map<String, String> extJson;

    private String remark;

    /**
     * 状态
     */
    private Integer status;

    private String creator;

    private Date createdDate;

    private String updator;

    private Date updated;

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public Date getCreatedDate() {
        return createdDate;
    }

    public void setCreatedDate(Date createdDate) {
        this.createdDate = createdDate;
    }

    public String getUpdator() {
        return updator;
    }

    public void setUpdator(String updator) {
        this.updator = updator;
    }

    public Date getUpdated() {
        return updated;
    }

    public void setUpdated(Date updated) {
        this.updated = updated;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public AlertMsgEnums getPlatformType() {
        return platformType;
    }

    public void setPlatformType(AlertMsgEnums platformType) {
        this.platformType = platformType;
    }

    public String getAlertName() {
        return alertName;
    }

    public void setAlertName(String alertName) {
        this.alertName = alertName;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public Map<String, String> getExtJson() {
        return extJson;
    }

    public void setExtJson(Map<String, String> extJson) {
        this.extJson = extJson;
    }
}
